%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define libxml2_version 2.5.11
%define orbit2_version 2.8.1
%define libbonobo_version 2.4.0
%define libgnomecanvas_version 2.4.0
%define libgnome_version 2.4.0
%define libart_lgpl_version 2.3.16
%define gtk2_version 2.2.4
%define libglade2_version 2.0.1
%define glib_version 2.2.3

Summary: 	Bonobo user interface components
Name: 		libbonoboui
Version: 	2.4.0
Release: 	1
URL: 		http://ftp.gnome.org
Source: 	%{name}-%{version}.tar.bz2

Patch0:		libbonoboui-2.4.0-aix.patch
Patch1:		libbonoboui-2.4.0-autotools.patch

License:	LGPL
Group: 		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires: libxml2 >= %{libxml2_version}
Requires: ORBit2 >= %{orbit2_version}
Requires: libbonobo >= %{libbonobo_version}
Requires: libgnomecanvas >= %{libgnomecanvas_version}
Requires: libgnome >= %{libgnome_version}
Requires: libart_lgpl >= %{libart_lgpl_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libglade2 >= %{libglade2_version}

BuildPreReq: libxml2-devel >= %{libxml2_version}
BuildPreReq: ORBit2-devel >= %{orbit2_version}
BuildPreReq: libbonobo-devel >= %{libbonobo_version}
BuildPreReq: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildPreReq: libgnome-devel >= %{libgnome_version}
BuildPreReq: libart_lgpl-devel >= %{libart_lgpl_version}
BuildPreReq: gtk2-devel >= %{gtk2_version}
BuildPreReq: libglade2-devel >= %{libglade2_version}
BuildPreReq: intltool >= 0.14-1
# BuildPreReq: libtool >= 1.4.2-12
BuildPreReq: automake autoconf
BuildPreReq: glib2-devel >= %{glib_version}

%description

Bonobo is a component system based on CORBA, used by the GNOME
desktop.  libbonoboui contains the user interface related components
that come with Bonobo.

%package devel
Summary: 	Libraries and headers for libbonoboui
Group: 		Development/Libraries
Requires: %name = %{version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: ORBit2-devel >= %{orbit2_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: libgnomecanvas-devel >= %{libgnomecanvas_version}
Requires: libgnome-devel >= %{libgnome_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libglade2-devel >= %{libglade2_version}
Requires: glib2-devel >= %{glib_version}
#Conflicts: bonobo-devel < 1.0.8

%description devel
Bonobo is a component system based on CORBA, used by the GNOME desktop.
libbonoboui contains GUI components that come with Bonobo.
This package contains header files used to compile programs that 
use libbonoboui.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libbonoboui-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libbonoboui-2.4.0-autotools.patch


%build
LDFLAGS="-L%{_libdir}" PATH=%{_bindir}:$PATH \
./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# make links
cd %{buildroot}
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files
%defattr(-,root,system)

%doc COPYING ChangeLog NEWS README

%{_libdir}/lib*.a
/usr/lib/lib*.a
%{_libdir}/libglade/2.0/*.a
%{_libdir}/libglade/2.0/*.la
%{_libdir}/bonobo
%{_datadir}/gnome-2.0
%{_datadir}/locale/*/LC_MESSAGES/libbonoboui-2.0.mo

%files devel
%defattr(-,root,system)

%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*
/usr/include/*
%{_bindir}/*
/usr/bin/*
%{_libdir}/bonobo-2.0
%{_datadir}/gtk-doc
